Do not force users to manually set project settings when creating a new project
Closed, ResolvedPublic

Description

It should work like this:

  • Startup wizard starts, user creates a new project, the main window is shown and the project settings have some default values (for example 4/3 DAR, 1:1 PAR, 640x480, 25 FPS).
  • When a video file is imported and no other video files have been imported yet, the project settings are changed to match.
  • (Optional) Display a dialog with a "Don't show this anymore" option: "We set the project settings to match the imported video settings. You can change this behaviour in Preferences > Startup Wizard. [Project Settings] [Got it]".
  • (Optional) We could have a preference to disable this behaviour "Set the project settings to match the first imported video clip"

Advanced users can customize the project settings, but usually if all the clips have the same resolution, this should work great.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=725488

aleb claimed this task.Mar 2 2014, 7:02 AM
aleb created this task.
aleb added a subscriber: aleb.
jeff added a subscriber: jeff.Aug 12 2015, 3:52 PM
jeff added a comment.Apr 15 2014, 1:11 AM

There are a few ways we can tackle this in terms of workflow:

  • A button "set from clip" in the Project settings dialog, which basically means presenting the exact reverse flow of the Clip Media Properties dialog. Probably not optimal for users.
  • Automatically setting project settings based on the 1st clip imported. This has been suggested before, but I don't like this approach... Users should be in control, and there is absolutely no guarantee that the 1st clip they import is representative of the project globally (could be some soundtrack, or a screenshot, or a sample from the net, etc.)
  • When importing a clip (discovery is done for all clips), and there are no errors, replace the initial media library's infobar by a new infobar that says something like:

    "Would you like to set your project settings to match the properties of <b>$last_clip_name</b>? [Set automatically] [Edit manually]"

...but this would be a bit too big for an infobar. So I'm thinking this could warrant a standalone dialog window, with a more educational purpose. Something like:

"You finished importing clips, but you have not set the project's settings.
You can do this by selecting a clip in the media library and clicking the [¶] button to copy its properties to the project settings.

You can also set the project settings manually through the […] menubutton in the titlebar.

[Understood]  [Remind me later]"

...where [¶] would be an real button with the same icon as the one used in the media library's toolbar (although insensitive), and […] would be the same button as the one in the headerbar (also insensitive).

I think this would cover the "educational" purposes by forcing people to learn the trick the first time, without forcing everyone to use (or cancel) the Project Settings dialog on startup.

The "remind me later" button could either be a dumb "I'll show it again next time" or it could be a sneakier "I'll show it again in 5 startups".

Partly related: bug #T3191

jeff added a comment.Apr 15 2014, 1:13 AM

Note that in that dialog's text above I forgot to explain why this is important (maybe we could have a [Why?] or "Help" button that points to the exact manual page that talks about project settings, and their relation to the viewer and the rendered output.

pitivi-maint triaged this task as Enhancement priority.Mar 2 2014, 7:02 AM
pitivi-maint claimed this task.
pitivi-maint added a subscriber: anti-stress.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
aleb changed the task status from Open to To Review.Oct 19 2015, 8:16 AM
aleb claimed this task.
thiblahute moved this task from Backlog to In review on the Pitivi board.Oct 20 2015, 3:58 PM
aleb moved this task from Backlog to Needs review on the Pitivi 0.96 board.Oct 20 2015, 11:51 PM
thiblahute moved this task from In review to Backlog on the Pitivi board.Oct 21 2015, 1:24 PM
thiblahute moved this task from Backlog to Pitivi 0.96 on the Pitivi board.Oct 26 2015, 9:31 AM
thiblahute moved this task from Pitivi 0.96 to Backlog on the Pitivi board.Oct 26 2015, 9:36 AM
aleb set git URI to git@gitlab.com:aleb/pitivi.git#wip/phab/T3161.Nov 23 2015, 3:36 PM

So, now the big question is, Do we really want to do that? :)

I have the impression we have to notiy the user about what we are doing, it will be like magic for him otherwize, probably a simple infobar stating "We would like to use that asset settings as default setting, do you agree? [yes/no/always use first]" what do you think?

aleb added a comment.Nov 24 2015, 11:25 AM

TODO:

  • Show an infobar "The project settings have been set to match file 00111.MTS" with a [Project Settings] button.
  • Add three settings in a new "Project" section:
    • Set the project settings to match the first imported asset.
    • Default video settings for new projects: [ video presets combo ]
    • Default audio settings for new projects: [ audio presets combo ]
aleb added a comment.Nov 25 2015, 10:46 PM
In T3161#30942, @jeff wrote:

There are a few ways we can tackle this in terms of workflow:

  • A button "set from clip" in the Project settings dialog, which basically means presenting the exact reverse flow of the Clip Media Properties dialog. Probably not optimal for users.

This is a different functionality. I don't think it would worth to implement it.

  • Automatically setting project settings based on the 1st clip imported. This has been suggested before, but I don't like this approach... Users should be in control, and there is absolutely no guarantee that the 1st clip they import is representative of the project globally (could be some soundtrack, or a screenshot, or a sample from the net, etc.)

Thibault suggested to show an infobar when this happens, with a Project Settings button. This is perfect IMO, the user is not overwhelmed by Project Settings and at the same time they are in control!

BTW, the infobar can be shown max 2 times in the life of a new project, for example: when an mp3 is imported, then the infobar is discarded, then a video file is imported.

We could allow advanced users to specify a default audio/video preset for initializing new projects. Do you think this functionality is needed before this task can land?

  • When importing a clip (discovery is done for all clips), and there are no errors, replace the initial media library's infobar by a new infobar that says something like:

    "Would you like to set your project settings to match the properties of <b>$last_clip_name</b>? [Set automatically] [Edit manually]"

    ...but this would be a bit too big for an infobar. So I'm thinking this could warrant a standalone dialog window, with a more educational purpose. Something like:

"You finished importing clips, but you have not set the project's settings.
You can do this by selecting a clip in the media library and clicking the [¶] button to copy its properties to the project settings.

You can also set the project settings manually through the […] menubutton in the titlebar.

[Understood]  [Remind me later]"

...where [¶] would be a real button with the same icon as the one used in the media library's toolbar (although insensitive), and […] would be the same button as the one in the headerbar (also insensitive).

I think this would cover the "educational" purposes by forcing people to learn the trick the first time, without forcing everyone to use (or cancel) the Project Settings dialog on startup.

The "remind me later" button could either be a dumb "I'll show it again next time" or it could be a sneakier "I'll show it again in 5 startups".

This sounds very complicated, with the remind-me-later and keeping track whether the dialog has been shown. It might educate the users, but .. this could be very well shown when a new project is created. Why show it after importing assets?

aleb moved this task from In progress to Needs review on the Pitivi 0.96 board.Nov 26 2015, 2:06 PM
thiblahute closed this task as Closed.Nov 26 2015, 2:10 PM
aleb moved this task from Needs review to Done on the Pitivi 0.96 board.Nov 28 2015, 1:30 AM
thiblahute edited projects, added Pitivi (0.96); removed Pitivi.Apr 17 2016, 1:02 AM
thiblahute moved this task from Backlog to Done on the Pitivi (0.96) board.Apr 17 2016, 1:05 AM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1448.